[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.OnGetSiteInfo

Provides information about the DockSite for the control.

## Declaration

Source position: controls.pp line 2320

`protected property TWinControl.OnGetSiteInfo : TGetSiteInfoEvent read FOnGetSiteInfo write FOnGetSiteInfo;`

## Description

The handler can adjust the InfluenceRect, within which mouse moves are recognized by this control. The handler also can deny any drops, depending on the dragging operation for the control.

OnGetSiteInfo occurs before the OnDockOver event handler.

## See also

TWinControl.OnDockOver |  | Event handler signalled when a control is moved over a docksite; determines whether the drop event is accepted or rejected.